<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<link rel="alternate"
      type="application/rss+xml"
      href="https://blog.winny.tech/rss.xml"
      title="RSS feed for https://blog.winny.tech/"/>
<title>Toggle Redshift with Keyboard Shortcut</title>

<link href="static/style.css?v=1.13" rel="stylesheet" type="text/css" />
<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>
<div id="preamble" class="status">

<nav>
<div class="flexcontainer">
<div class="smallitem">
<ul class="inline-list">
<li><a href=".">blog.winny.tech</a></li>
<li><a href="https://winny.tech/">About</a></li>
</ul>
</div>
<div class="bigitem">
<ul class="inline-list">
<li><a href="archive.html">Archive</a></li>
<li><a href="tags.html">Tags</a></li>
<li><a href="rss.xml">RSS Feed</a></li>
</ul>
</div>
</div>
</nav>
<hr/>
</div>
<div id="content">
<div class="post-date">09 Jan 2019</div><h1 class="post-title"><a href="2019-01-09-toggle-redshift-with-keyboard-shortcut.html">Toggle Redshift with Keyboard Shortcut</a></h1>
<p>
Redshift is a screen-tinting program that achieves similar goals to
the popular f.lux<sup><a id="fnr.1" class="footref" href="#fn.1">1</a></sup> program.
</p>

<p>
I perused through the redshift man-pages and noticed there is no
documented way to toggle redshift. Of course one can click the
notification area icon when using redshift-gtk or <code>SIGTERM</code> the
redshift process, but neither is very user friendly. (The mouse is not
user friendly.) After some awkward DuckDuckGo-ing and Googling I found
an obvious solution on the redshift homepage<sup><a id="fnr.2" class="footref" href="#fn.2">2</a></sup>: simply send <code>SIGUSR1</code> to
the redshift or redshift-gtk process. When using redshift-gtk, one can
choose to send <code>SIGUSR1</code> to either redshift or redshift-gtk.
</p>

<p>
This is the script I came up with:
</p>

<div class="org-src-container">
<pre class="src src-sh"><span style="color: #8B8989; font-style: italic;">#</span><span style="color: #8B8989; font-style: italic;">!/bin/</span><span style="color: #4c83ff;">sh</span>
<span style="color: #4c83ff;">set</span> -eu
<span style="color: #4c83ff;">if</span> ! pkill -x -SIGUSR1 redshift; <span style="color: #4c83ff;">then</span>
    <span style="color: #4c83ff;">echo</span> <span style="color: #61CE3C;">'Could not find redshift process to toggle.'</span> &gt;&amp;2
    <span style="color: #4c83ff;">exit</span> 1
<span style="color: #4c83ff;">fi</span>
</pre>
</div>

<p>
After installing the script into my system's <code>PATH</code>, now all I have to
do is add a line to my Xbindkeys<sup><a id="fnr.3" class="footref" href="#fn.3">3</a></sup> configuration file (<code>~/.xbindkeysrc.scm</code>) such as:
</p>

<div class="org-src-container">
<pre class="src src-scheme">(xbindkey '(Mod4 F2) <span style="color: #61CE3C;">"toggle-redshift"</span>)
</pre>
</div>

<p>
Now I can type <code>Mod4-F2</code> and toggle Redshift.
</p>
<div id="footnotes">
<h2 class="footnotes">Footnotes: </h2>
<div id="text-footnotes">

<div class="footdef"><sup><a id="fn.1" class="footnum" href="#fnr.1">1</a></sup> <div class="footpara"><p class="footpara">
<a href="https://justgetflux.com/">f.lux homepage</a>
</p></div></div>

<div class="footdef"><sup><a id="fn.2" class="footnum" href="#fnr.2">2</a></sup> <div class="footpara"><p class="footpara">
<a href="http://jonls.dk/redshift/#configuration-options">Redshift homepage § Configuration Options</a>
</p></div></div>

<div class="footdef"><sup><a id="fn.3" class="footnum" href="#fnr.3">3</a></sup> <div class="footpara"><p class="footpara">
<a href="http://www.nongnu.org/xbindkeys/xbindkeys.html">XBindKeys homepage</a>
</p></div></div>


</div>
</div><div class="taglist"><a href="tags.html">Tags</a>: <a href="tag-productivity.html">productivity</a> <a href="tag-computing.html">computing</a> </div></div>
<div id="postamble" class="status">
<hr/>
<ul class="inline-list interpunct">
<li>Powered by <a href="https://github.com/bastibe/org-static-blog">org-static-blog</a></li>
<li>Like what I do? <a href="https://www.buymeacoffee.com/winny">Buy me a Coffee</a></li>
</ul>
<p>© Winston Weinert (winny) — <a href="https://creativecommons.org/licenses/by-sa/4.0/legalcode">CC-BY-SA-4.0</a></p>
</div>
</body>
</html>
